#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint8_t uint8_eq_const_0_0;
    uint8_t uint8_eq_const_1_0;
    uint8_t uint8_eq_const_2_0;
    uint8_t uint8_eq_const_3_0;
    uint8_t uint8_eq_const_4_0;
    uint8_t uint8_eq_const_5_0;
    uint8_t uint8_eq_const_6_0;
    uint8_t uint8_eq_const_7_0;
    uint8_t uint8_eq_const_8_0;
    uint8_t uint8_eq_const_9_0;
    uint8_t uint8_eq_const_10_0;
    uint8_t uint8_eq_const_11_0;
    uint8_t uint8_eq_const_12_0;

    if (size < 13)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint8_eq_const_0_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_1_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_2_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_3_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_4_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_5_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_6_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_7_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_8_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_9_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_10_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_11_0, &data[i], 1);
    i += 1;
    memcpy(&uint8_eq_const_12_0, &data[i], 1);
    i += 1;


    if (uint8_eq_const_0_0 == 32)
    if (uint8_eq_const_1_0 == 127)
    if (uint8_eq_const_2_0 == 6)
    if (uint8_eq_const_3_0 == 9)
    if (uint8_eq_const_4_0 == 123)
    if (uint8_eq_const_5_0 == 167)
    if (uint8_eq_const_6_0 == 101)
    if (uint8_eq_const_7_0 == 240)
    if (uint8_eq_const_8_0 == 98)
    if (uint8_eq_const_9_0 == 165)
    if (uint8_eq_const_10_0 == 197)
    if (uint8_eq_const_11_0 == 228)
    if (uint8_eq_const_12_0 == 153)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
